Subject: Re: bug#33103: 25.2; tar-extract should support other-window and view simultaneously

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 10 Jul 2019 15:46:36 +0200

David Bremner <[email-masked]> writes:

> in deb-view.el in Debian, I just patched in the following hack
>
>         (progn
>           (tar-extract-other-window)
>           (view-buffer (current-buffer) 'kill-buffer-if-not-modified))
>
> It seems to work, but I'd be much happier to something like
>
> (tar-extract 'view 'other-window)

I think the accepted method these days to determine how and when buffers
(and frames) are popped up/switched to is to use the display-buffer
machinery, so I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no